Magick++: Magick::PathSmoothQuadraticCurvetoAbs Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathSmoothQuadraticCurvetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothQuadraticCurvetoAbs:
[legend]
Collaboration diagram for Magick::PathSmoothQuadraticCurvetoAbs:
[legend]

## Public Member Functions
| PathSmoothQuadraticCurvetoAbs (const Magick::Coordinate &coordinate_)
| PathSmoothQuadraticCurvetoAbs (const CoordinateList &coordinates_)
| PathSmoothQuadraticCurvetoAbs (const PathSmoothQuadraticCurvetoAbs &original_)
| ~PathSmoothQuadraticCurvetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2871 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathSmoothQuadraticCurvetoAbs() [1/3]

Magick::PathSmoothQuadraticCurvetoAbs::PathSmoothQuadraticCurvetoAbs | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2253 of file Drawable.cpp.

## ◆ PathSmoothQuadraticCurvetoAbs() [2/3]

Magick::PathSmoothQuadraticCurvetoAbs::PathSmoothQuadraticCurvetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2258 of file Drawable.cpp.

## ◆ PathSmoothQuadraticCurvetoAbs() [3/3]

Magick::PathSmoothQuadraticCurvetoAbs::PathSmoothQuadraticCurvetoAbs | ( | const PathSmoothQuadraticCurvetoAbs & | original_ | ) |

Definition at line 2263 of file Drawable.cpp.

## ◆ ~PathSmoothQuadraticCurvetoAbs()

Magick::PathSmoothQuadraticCurvetoAbs::~PathSmoothQuadraticCurvetoAbs | ( | void |  | ) |

Definition at line 2268 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathSmoothQuadraticCurvetoAbs::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2280 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathSmoothQuadraticCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2272 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp